
public class Writer extends Thread {
     private ReadWriteLock lock;
     private String id;

     Writer(ReadWriteLock lock, String id) {
         this.lock = lock;
         this.id = id;
     }

     @Override
     public void run() {
	try {
	      while (true) {
                 Thread.sleep(700); //Zur Demo des Progress-Problems dieses sleep entfernen
		 this.lock.acquireWrite();
		 System.out.println("WRITER "+id+ " MODIFIES");
                 Thread.sleep(500);
                 System.out.println("WRITER "+id+ " RELEASES");
		 this.lock.releaseWrite();
	      }
	 }
	 catch (InterruptedException e) {
	 }
      }
}
