
public class Reader extends Thread {
     private ReadWriteLock lock;
     private String id;

     Reader(ReadWriteLock lock, String id) {
	this.lock = lock;
        this.id = id;
     }

     @Override
     public void run() {
	try {
	      while (true) {
                 Thread.sleep(700); //Zur Demo des Progress-Problems dieses sleep entfernen
	         this.lock.acquireRead();
	         System.out.println("READER "+id+"  EXAMINES");
                 Thread.sleep(500);
	         System.out.println("READER "+id+"  RELEASES");
	         this.lock.releaseRead();
	      }
        }
	catch (InterruptedException e) {
	}
     }
}