
public class ReaderWriter {

	private Reader reader1;
	private Reader reader2;
	private Writer writer1;
	private Writer writer2;

	public void start() {
		ReadWriteLock rw = new ReadWriteLock();
		this.reader1 = new Reader(rw,"1");
		this.reader2 = new Reader(rw,"2");
		this.writer1 = new Writer(rw,"1");
		this.writer2 = new Writer(rw,"2");

		this.reader1.start();
		this.reader2.start();
		this.writer1.start();
		this.writer2.start();
	}

	public static void main(String[] args) {
		ReaderWriter rw = new ReaderWriter();
		rw.start();
	}
}
